Search task mocks

Searches for mocks based on query parameters.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Query parameters

namestringOptionalformat: "^[\w -]*$"
Filter mocks by name
idsstringOptional
Filter mocks by id
serviceTypeenumOptional
Filter mocks by service type
Allowed values:
serviceNamestringOptional
Filter mocks by service name
methodstringOptional
Filter mocks by method name
finishStateenumOptional
Filter mocks by finish state
Allowed values:
createdBystringOptional
Filter mocks by the user id that created the mock
skipintegerOptionalDefaults to 0
Number of mocks to skip for pagination
limitintegerOptionalDefaults to 25

Maximum number of mocks to return (default is 25)

includeResponsebooleanOptionalDefaults to false
Whether to include the response in the mock results

Response

Search results containing an array of task mocks
resultslist of objects
skipinteger>=0
The number of documents skipped before returning data. When 0, no data is skipped.
limitinteger0-100
Specifies a limit to the maximum number of data results returned.
totalinteger>=0
The total number of documents returned from a search.

Errors

500
Internal Server Error